Skip to main content
DELETE
/
google-drives
/
{id}
Start deletion of Google Drive data source
curl --request DELETE \
  --url https://developer.qaip.com/api/v1/google-drives/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "folder_url": "<string>",
  "status": "unknown",
  "ingestion_setting_id": "<string>",
  "creation_time": 123,
  "start_time": 123,
  "end_time": 123,
  "error": {
    "title": "<string>",
    "message": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

id
string
required

Google Drive data source ID

Response

Successfully deleted Google Drive data source

id
string
required

Google Drive data source ID

name
string
required

Name of the Google Drive ingestion setting

folder_url
string
required

Google Drive folder URL

status
enum<string>
required

Job status

Available options:
unknown,
queued,
not_started,
managed,
starting,
started,
success,
failure,
canceling,
canceled,
deleting,
delete_job_failure
ingestion_setting_id
string

Google Drive ingestion setting ID

creation_time
integer<int64>

Creation time (Unix timestamp in seconds)

start_time
integer<int64>

Job start time (Unix timestamp in seconds)

end_time
integer<int64>

Job end time (Unix timestamp in seconds)

error
object